Subject: Re: bug#13524: Improving user experience for non-recursive builds

From: Stefano Lattarini <[email-masked]>
Date: Thu, 07 Feb 2013 10:33:44 +0100

On 02/05/2013 02:01 AM, Miles Bader wrote:
> %...% seems nice to me.
I'm fine to settle for that (see my reply to last mail from Peter for
more details).

> Incidentally, given the name, I assume the name "reldir" always refers
> to a relative path? What is it relative to again?
>
The path of the Makefile.am currently being processed.

> If I want to refer
> to a source file, do I write "$(srcdir)/%reldir%/filename" (as opposed
> to e.g. "$(top_srcdir)/%reldir%/filename")?
>
Yes; and I think we should add a test for this, since it might be a very
important use case (thanks for bringing it up, BTW).

> ... and "canon_reldir" means the same thing, except canonicalized?
>
Yes, "canonicalized" in a sense quite specific to Automake:

  <http://www.gnu.org/software/automake/manual/automake.html#Canonicalization>

So, for example, if %reldir% expands to 'foo/bar-baz.d', '%canon-reldir%'
will expand to 'foo_bar_baz_d'.

> [In other words, still always relative, e.g. by converting to an
> absolute canonical name using some sort of truename  function, and
> then removing the source-directory prefix.]
>
Not at all; see above.

Thanks,
  Stefano